export type Post = {
    id:         number
    url:        string
    title:      string
    thumbnail:  string
    tags:       Tag[]
    viewed:     boolean }

export type Tag = {
    id:       number
    name:     string
    category: string
    count?:   number}

export type User = {
    id:               number
    name:             string | null
    inheritanceCode:  string
    role:             string }
